Skip to main content
PATCH
/
cards
/
digital_wallet_tokens
/
{digital_wallet_token_id}
Update Digital Wallet Token's life cycle status
curl --request PATCH \
  --url https://api-sandbox.synctera.com/v0/cards/digital_wallet_tokens/{digital_wallet_token_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
import requests

url = "https://api-sandbox.synctera.com/v0/cards/digital_wallet_tokens/{digital_wallet_token_id}"

payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};

fetch('https://api-sandbox.synctera.com/v0/cards/digital_wallet_tokens/{digital_wallet_token_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "approved_time": "2010-05-06T12:23:34.321Z",
  "card_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
  "device_id": "<string>",
  "id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
  "last_modified_time": "2010-05-06T12:23:34.321Z",
  "processor_data": {},
  "removed_from_wallet_time": "2010-05-06T12:23:34.321Z",
  "requested_time": "2010-05-06T12:23:34.321Z",
  "token_reference_id": "<string>",
  "type": "APPLE_PAY"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string

An idempotency key is an arbitrary unique value generated by client to detect subsequent retries of the same request. It is recommended that a UUID or a similar random identifier be used as an idempotency key. A different key must be used for each request, unless it is a retry.

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

Path Parameters

digital_wallet_token_id
string<uuid>
required

The unique identifier of a digital wallet token

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

Body

application/json

Update Digital wallet token status

token_status
enum<string>
required

The status indicating the digital wallet token lifecycle state

Available options:
ACTIVE,
SUSPENDED,
TERMINATED

Response

Digital wallet token Status updated

approved_time
string<date-time>
Example:

"2010-05-06T12:23:34.321Z"

card_id
string<uuid>

Card ID of the Digital wallet Token

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

device_id
string

The user’s Android device ID; the device’s unique identifier.

Maximum string length: 124
device_type
enum<string>

Type of the device where the Digital Wallet Token is used in

Available options:
APPLIANCE,
GAMING_DEVICE,
LAPTOP,
MOBILE_PHONE,
MOBILE_PHONE_OR_TABLET,
TABLET,
UNKNOWN,
VEHICLE,
WATCH
id
string<uuid>

Digital Wallet Token ID

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

last_modified_time
string<date-time>
Example:

"2010-05-06T12:23:34.321Z"

processor_data
object

Raw data from processor.

removed_from_wallet_time
string<date-time>

The time that the token was removed from a wallet. Tokens make remain active after being removed from a wallet.

Example:

"2010-05-06T12:23:34.321Z"

requested_time
string<date-time>
Example:

"2010-05-06T12:23:34.321Z"

state
enum<string>

Current status of the Digital Wallet Token

Available options:
ACTIVE,
REQUESTED,
REQUEST_DECLINED,
SUSPENDED,
TERMINATED
token_reference_id
string

Unique identifier of the digital wallet token within the card network.

type
string

Type of the Digital Wallet. Can be one of APPLE_PAY, ANDROID_PAY, SAMSUNG_PAY or something else when cards are added on file to a merchant.

Example:

"APPLE_PAY"